DynamicJava Javadoc: Interface ClassFinder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classinfo
Interface ClassFinder

All Known Implementing Classes:
  TreeClassFinder

public interface ClassFinder

The instances of the classes that implements this interface are used to find the fully qualified name of classes and to manage the loading of these classes.

Method Summary
`ClassInfo` | `addClassInfo(java.lang.String cname, TypeDeclaration decl)` Adds a type declaration in the class info list
`java.lang.String` | `getCurrentPackage()` Returns the current package
`ClassInfo` | `lookupClass(java.lang.String cname)` Loads the class info that match the given name in the source file
`ClassInfo` | `lookupClass(java.lang.String cname, ClassInfo cinfo)` Loads the class info that match the given name in the source file

Method Detail

### getCurrentPackage

    public java.lang.String getCurrentPackage()

  Returns the current package

### lookupClass

    public ClassInfo lookupClass(java.lang.String cname)
                          throws java.lang.ClassNotFoundException

  Loads the class info that match the given name in the source file
  Parameters:
    `cname` - the name of the class to find
  Returns:
    the class info
  Throws:
    `java.lang.ClassNotFoundException` - if the class cannot be loaded

### lookupClass

    public ClassInfo lookupClass(java.lang.String cname,
                                 ClassInfo cinfo)
                          throws java.lang.ClassNotFoundException

  Loads the class info that match the given name in the source file
  Parameters:
    `cname` - the name of the class to find
    `cinfo` - the context where 'cname' was found
  Returns:
    the class info
  Throws:
    `java.lang.ClassNotFoundException` - if the class cannot be loaded

### addClassInfo

    public ClassInfo addClassInfo(java.lang.String cname,
                                  TypeDeclaration decl)

  Adds a type declaration in the class info list
  Parameters:
    `cname` - the name of the class
    `decl` - the type declaration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.